package cn.bunny.service.service.impl;

import cn.bunny.entity.system.user.User;
import cn.bunny.service.mapper.UserMapper;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class UserServiceImplTest {
    @Autowired
    private UserMapper userMapper;

    @Test
    void addUser() {
        User user = new User();
        user.setUname("啊啊啊");
        userMapper.insert(user);
    }

    @Test
    @Transactional
    void addTransactional() {
        User user = new User();
        user.setUname("喜欢凌艳");
        userMapper.insert(user);
    }
}